
(defun c:boldtext ()
   (setvar "CMDECHO" 0)
   (ptsize)
   (repeat)
   (stop)
)

(defun ptsize ()
   (setq i 0)
   (setq points (getreal "ENTER POINT SIZE OF TEXT: "))
   (setq scale (getreal "ENTER FINAL PLOTTING SCALE: "))
   (setq size (* scale points))
   (graphscr)
   (setq st (getpoint "SHOW STARTING POINT FOR TEXT: "))
   (setvar "LASTPOINT" st)
   (setq displace (/ size 40))
   (setq num (getint "ENTER BOLDNESS FACTOR: "))
   (setq rot (getangle st "ROTATION ANGLE? <0>"))
   (if (= rot nil) (setq rot 0))
   (setq rot2 (* rot 57.29577951))
   (setq verbage (getstring T "TEXT: "))
   (setq st1 st)
)

(defun repeat ()
   (setvar "BLIPMODE" 0)
   (setq i (+ i 1))
   (command "text" st1 size rot2 verbage)
   (setq st1 (polar st rot displace))
   (setq st st1)
   (if (< i num) (repeat))
   (setvar "BLIPMODE" 1)
)

(defun stop ()
   (setvar "CMDECHO" 1)
   (command)
   (princ)
)


